Будет ли Spring 4.1 поддерживать JSF 2.2?

Некоторое время назад я услышал слух о том, что Spring 4.1 будет поддерживать JSF 2.2. В частности, SpringBeanFacesELResolver сможет создавать компоненты контроллера с видимым охватом. Spring 3 поддерживает только область приложения, область запроса и область сеанса. Насколько я знаю, Spring 4.0 поддерживает те же области.

К сожалению, я не нашел ссылки на Spring 4.1 и JSF 2.2 (кроме моего собственного веб-сайта, где я упоминал, что слышал слухи). Существуют ли какие-либо планы относительно Spring 4.1 и JSF 2.2?

BTW: Я знаю, что есть несколько вопросов о StackOverflow, связанных с Spring и JSF. Мой вопрос отличается тем, что речь идет о Spring 4.1 и о поддержке родной Spring. В частности, речь идет не о том, как самостоятельно реализовать ViewScope.

1 ответ

Рафаэль Понте сказал мне сегодня, что @ViewScope можно использовать с последней версией Spring 3.2. Посмотрите всю историю (включая комментарии Рафаэля) в своем блоге.

Что касается Spring 4.1: планы по поддержке JSF 2.2 были отброшены. Вопрос JIRA по этой теме был перенесен на "приветственный прием" - другими словами, они ждут от нас самих реализовать его и представить наше решение команде Spring.

licensed under cc by-sa 3.0 with attribution.